/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {WorkerFlyWeight} from "./workerFlyWeight";
import {PositionResponse} from "./positionResponse";
import {ZoneResponse} from "./zoneResponse";
import {SubContractorResponse} from "./subContractorResponse";

export class HistoryEntryResponseModel {
    public worker: WorkerFlyWeight;

    public position: PositionResponse;

    public zone: ZoneResponse;

    public timeStamp: string;

    public subContractor: SubContractorResponse;

    /**
     * Creates a HistoryEntryResponseModel.
     *
     * @param {WorkerFlyWeight} worker
     * @param {PositionResponse} position
     * @param {ZoneResponse} zone
     * @param {string} timeStamp
     * @param {SubContractorResponse} subContractor
     */
    constructor(worker: WorkerFlyWeight, position: PositionResponse, zone: ZoneResponse, timeStamp: string, subContractor: SubContractorResponse) {
        this.worker = worker;
        this.position = position;
        this.zone = zone;
        this.timeStamp = timeStamp;
        this.subContractor = subContractor;
    }
}